
*******************************************************************************
*******************************************************************************
**		                      APPENDIX TABLE 1
*******************************************************************************
*******************************************************************************

use clean_all.dta, clear


****************************************************************************
*  	                   			   Kenya								   *
****************************************************************************

* shorten "highest_grade_completed" to "highest_grade" so that the following code works
rename highest_grade_attended highest_grade

* label ages
label define age 7 "Age 7" 8 "Age 8" 9 "Age 9" 10 "Age 10" 11 "Age 11" 12 "Age 12" 13 "Age 13" 14 "Age 14" 15 "Age 15" 16 "Age 16"
label values age age

eststo clear

foreach outcome in preschool highest_grade in_school math english swahili g2_lit_num {

	qui eststo means_`outcome': estpost tabstat `outcome' [aw = weight] if country == 1, by(age) nototal
	
}

esttab means_highest_grade means_in_school means_preschool means_math means_english means_swahili means_g2_lit_num, /// 
	   main(mean %9.2f) label nogaps not mtitles("Hgrade" "Enrolled" "Preschool" "Numeracy" "English" "Swahili" "2nd grade litnum")
	

****************************************************************************
*  	                   			 Tanzania								   *
****************************************************************************

eststo clear

foreach outcome in preschool highest_grade in_school math english swahili g2_lit_num {

	qui eststo means_`outcome': estpost tabstat `outcome' [aw = weight] if country == 2, by(age) nototal
	
}

esttab means_highest_grade means_in_school means_preschool means_math means_english means_swahili means_g2_lit_num, /// 
	   main(mean %9.2f) label nogaps not mtitles("Hgrade" "Enrolled" "Preschool" "Numeracy" "English" "Swahili" "2nd grade litnum")
	














