**************************************************************************
**************************************************************************
**                                TABLE 2
**************************************************************************
**************************************************************************

use clean_all.dta, clear


**************************************************************************
*                      adjust variables, labels, etc.                    *
**************************************************************************

replace mothers_edu = 2 if mothers_edu == 2 | mothers_edu == 3
label define mothereduc 0 "- None" 1 "Mother some primary edu." , modify
label values mothers_edu mothereduc

label define cohort 1996 "1996" 1997 "1997" 1998 "1998" 1999 "1999" 2000 "2000" 2001 "2001" 2002 "2002" 2003 "2003" 2004 "2004" 2005 "2005" 2006 "2006" 2007 "2007" 2008 "2008" 
label values cohort cohort

gen firstborn = 0
replace firstborn = 1 if birth_order == 1
label var firstborn "Firstborn"

gen female_X_firstborn = 0
replace female_X_firstborn = 1 if birth_order == 1 & female == 1
label var female_X_firstborn "Female X firstborn"


**************************************************************************
*                             create table                               *
**************************************************************************

eststo clear

qui eststo KE1: areg any_preschool female firstborn  age_span i.mothers_edu hh_size hh_wealth_std rural n_neg_rainfall_shocks n_pos_rainfall_shocks total_mean_lights ib1997.cohort i.wave [aw=weight] if country == 1, a(id_district) cluster(id_district)
qui eststo KE2: areg any_preschool female firstborn  n_neg_rainfall_shocks n_pos_rainfall_shocks total_mean_lights ib1997.cohort[aw=weight] if country == 1, a(id_mother) cluster(id_district)
qui eststo TZ1: areg any_preschool female firstborn age_span i.mothers_edu hh_size hh_wealth_std rural n_neg_rainfall_shocks n_pos_rainfall_shocks total_mean_lights ib1995.cohort i.wave [aw=weight] if country == 2, a(id_district) cluster(id_district)
qui eststo TZ2: areg any_preschool female firstborn  n_neg_rainfall_shocks n_pos_rainfall_shocks total_mean_lights ib1995.cohort [aw=weight] if country == 2, a(id_mother) cluster(id_district)

esttab KE1 KE2 TZ1 TZ2, 	///
	order(female firstborn age_span 1.mothers_edu hh_size hh_wealth_std rural n_neg_rainfall_shocks n_pos_rainfall_shocks total_mean_lights 1996.cohort 1997.cohort 1998.cohort) ///
	drop(99.mothers_edu 0.mothers_edu _cons *.wave 1995.cohort) ///
	refcat(1996.cohort "Cohort", nolabel) b(3) se  starlevels(* 0.10 ** 0.05 *** 0.01) 

